package com.muyu.cloud.market.domin;

import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(value = "operators",autoResultMap = true)
public class Operators extends BaseEntity {

    /**
     * 运营商ID
     */
    private Long operatorsId;

    /**
     * 运营商
     */
    private String operatorsName;

}
