package com.muyu.cloud.market.domin.resp;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.domin.resp
 * @Project：cloud-market
 * @name：LinkEmailResp
 * @Date：2024/8/28 18:55
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "绑定邮箱对象",description = "负责邮箱绑定的响应结果")
public class LinkEmailResp {

    /**
     * 验证码
     */
    private String code;
}
