package com.muyu.cloud.market;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import lombok.extern.log4j.Log4j2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.pay
 * @Project：cloud-pay
 * @name：MuYuPayApplication
 * @Date：2024/7/31 19:28
 */
@Log4j2
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
public class MuYuMarketApplication {
    public static void main (String[] args) {
        SpringApplication.run(MuYuMarketApplication.class, args);
    }
}
