package com.muyu.cloud.market.config;

import org.springdoc.core.models.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.config
 * @Project：cloud-market
 * @name：SwaggerConfig
 * @Date：2024/8/25 15:10
 */
@Configuration
public class SwaggerConfig {
    @Bean
    public GroupedOpenApi publicApi() {
        return GroupedOpenApi.builder()
                .group("spring-shop")
                .pathsToMatch("/api/**")
                .build();
    }
}
