package com.muyu.cloud.market.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.cloud.market.domin.Company;
import com.muyu.cloud.market.domin.resp.UserCompanyResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.mapper
 * @Project：cloud-market
 * @name：CompanyMapper
 * @Date：2024/8/27 14:17
 */
@Mapper
public interface CompanyMapper extends BaseMapper<Company> {

    /**
     * 绑定的企业信息
     * @return
     */
    UserCompanyResp selectcompany(@Param("userId") Long userId);
}
