package com.muyu.cloud.market.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.cloud.market.domin.Product;
import com.muyu.cloud.market.domin.UserProductCount;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.mapper
 * @Project：cloud-market
 * @name：ProducttestMapper
 * @Date：2024/9/3 10:20
 */
@Mapper
public interface ProducttestMapper extends BaseMapper<UserProductCount> {

    /**
     * 不同用户/方式的测试次数
     * @param userProductCount
     * @return
     */
    UserProductCount findcount(UserProductCount userProductCount);

    /**
     * 测试次数-1
     * @param userProductCount
     * @return
     */
    Integer reducetestcount(UserProductCount userProductCount);
}
