package com.muyu.cloud.market.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.cloud.market.domin.User;
import com.muyu.cloud.market.domin.req.LinkEmailReq;
import jakarta.servlet.http.HttpServletRequest;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.service
 * @Project：cloud-market
 * @name：UserService
 * @Date：2024/8/27 19:17
 */
public interface UserService extends IService<User> {

    /**
     * 邮箱绑定
     * @param linkEmailReq
     * @return
     */
    void linkemail(LinkEmailReq linkEmailReq,HttpServletRequest request);

    /**
     * 发送邮箱验证
     * @param email
     * @return
     */
    String sendcode(String email);

    void updcompanyId(Long userid, Integer companyId);


}
