package com.muyu.cloud.market.domin.req;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.domin.req
 * @Project：cloud-market
 * @name：LinkEmail
 * @Date：2024/8/27 19:08
 */
@Tag(name = "邮箱绑定")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class LinkEmailReq {

    /**
     * 邮箱
     */
    private String email;
    /**
     * 验证码
     */
    private String code;
}
