package com.muyu.cloud.market.domin.req;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.domin.req
 * @Project：cloud-market
 * @name：MyApiReq
 * @Date：2024/8/24 18:53
 */

@Tag(name = "我的接口列表请求对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class MyApiReq {
    /**
     * 产品名称
     */
    private String productName;
    /**
     * 状态
     */
    private Integer productState;
}
