package com.muyu.cloud.market.domin.resp;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.domin.resp
 * @Project：cloud-market
 * @name：Chosehowpay
 * @Date：2024/9/1 14:17
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "产品规格", description = "返回产品规格")
public class ChosehowpayResp {
    /**
     * 产品Id
     */
    private Integer productId;
    /**
     * 产品名称
     */
    private String productName;
    /**
     * 产品规格Id
     */
    private Integer productSpecificationId;
    /**
     * 产品规格类型
     */
    private String productSpecificationName;
    /***
     * 对应价格
     */
    private BigDecimal middlePrice;

}
