package com.muyu.cloud.market.controller;

import com.dtflys.forest.springboot.annotation.ForestScannerRegister;
import com.muyu.cloud.market.domin.Operators;
import com.muyu.cloud.market.service.OperatorsService;
import com.muyu.common.core.domain.Result;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.expression.spel.ast.Operator;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Log4j2
@RestController
@RequestMapping("/operators")
@Tag(name = "运营商控制层", description = "进行订单支付所用运营商管理")
public class OperatorsController {
    public  OperatorsController() {
        log.info("forest{} 扫描路径", ForestScannerRegister.getBasePackages());
    }

    @Autowired
    private OperatorsService operatorsService;

    @PostMapping("/list")
    @Operation(summary = "查看运营商")
    public Result<List<Operators>> selectList (){
//        return  Result.success(OperatorsService.selectList());
        return  null;
    }





}
