package com.muyu.cloud.market.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.cloud.market.domin.MyApi;
import com.muyu.cloud.market.domin.req.MyApiReq;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.mapper
 * @Project：cloud-market
 * @name：MyApiMapper
 * @Date：2024/8/24 1:08
 */
@Mapper
public interface MyApiMapper extends BaseMapper<MyApi> {

    /**
     * 查询我已购的api
     * @param myApiReq
     * @return
     */
    List<MyApi> selectMyApiList(MyApiReq myApiReq);
}
