package com.muyu.cloud.market.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.cloud.market.domin.Customer;
import com.muyu.cloud.market.domin.resp.CustomerListResp;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.service
 * @Project：cloud-market
 * @name：FindCustomerMeaasgeService
 * @Date：2024/8/20 9:50
 */
public interface FindCustomerMeaasgeService extends IService<Customer> {

    /**
     * 根据身份证号查询客户信息
     * @param idCard
     * @return
     */
    Customer findListByuserCard(String idCard);


    /**
     * 根据手机号查询客户信息
     * @param tel
     * @return
     */
    Customer findListByuserPhone(String tel);
}
