package com.muyu.cloud.market.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.cloud.market.domin.Customer;
import com.muyu.cloud.market.domin.req.CustomerAddReq;
import com.muyu.cloud.market.domin.req.CustomerUpdReq;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.service
 * @Project：cloud-market
 * @name：InsideUseInterfaceService
 * @Date：2024/8/20 20:45
 */
public interface InsideCustomerMessageService extends IService<Customer> {

    /**
     * 添加客户信息
     *
     */
    void add(CustomerAddReq customerAddReq);

    /**
     * 修改客户信息
     * @param customerUpdReq
     */
    void updateBy(CustomerUpdReq customerUpdReq);
}
