package com.muyu.cloud.market.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.cloud.market.domin.Product;
import com.muyu.cloud.market.domin.UserProductCount;
import jakarta.servlet.http.HttpServletRequest;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.service
 * @Project：cloud-market
 * @name：ProducttestService
 * @Date：2024/9/3 10:19
 */
public interface ProducttestService extends IService<UserProductCount> {

    /**
     * 不同用户/方式的测试次数
     * @param userProductCount
     * @return
     */
    UserProductCount findcount(UserProductCount userProductCount, HttpServletRequest request);

    /**
     * 测试次数-1
     * @param userProductCount
     * @return
     */
    Integer reducetestcount(UserProductCount userProductCount);
}
