package com.muyu.cloud.market.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cloud.market.domin.MyApi;
import com.muyu.cloud.market.domin.req.MyApiReq;
import com.muyu.cloud.market.mapper.MyApiMapper;
import com.muyu.cloud.market.mapper.ProductApiMapper;
import com.muyu.cloud.market.service.MyApiService;
import com.muyu.common.core.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.service.impl
 * @Project：cloud-market
 * @name：MyApiServiceImpl
 * @Date：2024/8/24 0:52
 */
@Service
public class MyApiServiceImpl extends ServiceImpl<MyApiMapper, MyApi> implements MyApiService {
    @Autowired
    private MyApiMapper myApiMapper;


    /**
     * 查询我已购的api
     * @param myApiReq
     * @return
     */
    @Override
    public List<MyApi> selectMyApiList(MyApiReq myApiReq) {
        return myApiMapper.selectMyApiList(myApiReq);
    }
}
